{ pkgs ? import <nixpkgs> { } }:
with pkgs;
let
    version = "0.0.1";
    deps = [ ];
    nativeDeps = [ ];
in
pkgs.buildGo119Module {
  pname = "tcp-stream-proxy";
  inherit version;
  src = ./.;
  buildInputs = [
    stdenv glibc.static
  ] ++deps;
  nativeBuildInputs = [
  ] ++nativeDeps;
  tags = [ ];
  ldflags = [
      "-s" "-w"
      "-linkmode external"
      "-extldflags -static"
    ];

  allowGoReference = false;
  #vendorSha256 = lib.fakeSha256;
  vendorSha256 = "sha256-YFKyN+oV9MrjcvfehsGKgvAPvnHlOBGpSQpVdrOvUog=";

  meta = {
    description = "A little Proxy which forwards TCP streams";
    homepage = "https://git.entr0py.de/garionion/tcp-stream-proxy";
  };
}